QGIS Application - Bug report #13852
merge connected lines to avoid duplicate labels fails in attached scenario
2015-11-18 08:41 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Low

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 21876
Description

This is not a huge deal, but would be nice to see fixed - if that is possible. Attached is a small test project with a set of lines taken straight
from OpenStreetMap. The ref=" tag for the lines all have the same identical value, in this case 1, and the [x] merge connected lines to
avoid duplicate labels is checked. Yet, two labels are created.

Again, nothing urgent, but would be lovely to have this corner case handled properly.

History

#1 - 2016-01-28 06:00 AM - Peter Petrik
- File 13852.png added

The set of lines in the attached project have two 3-way junctions (see screenshot 13852.png). The function FeaturePart::mergeWithFeaturePart supports
only continuous LineString and therefore multiple labels are created

#2 - 2016-01-28 06:10 AM - Saber Razmjooei
- Status changed from Open to Feedback

#3 - 2016-05-23 07:43 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed

Files
lines_label.zip.zip 6.78 KB 2015-11-18 Mathieu Pellerin - nIRV
13852.png 6.24 KB 2016-01-28 Peter Petrik
